> For the complete documentation index, see [llms.txt](https://docs.xrpscan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xrpscan.com/api-documentation/account/activations.md).

# Activations

This endpoint retrieves all child accounts activated by a given account.&#x20;

There is not a dedicated "create account" transaction. The [Payment transaction](https://xrpl.org/payment.html) automatically creates a new account if the payment sends XRP equal to or greater than the [account reserve](https://xrpl.org/reserves.html) to a valid address that does not already have an account.

## Request

{% tabs %}
{% tab title="GET" %}

```
GET /api/v1/account/{ACCOUNT}/activations
```

{% endtab %}
{% endtabs %}

## Example

{% tabs %}
{% tab title="curl" %}

```
$ curl https://api.xrpscan.com/api/v1/account/rPEPPER7kfTD9w2To4CQk6UCfuHM9c6GDY/activations
```

{% endtab %}
{% endtabs %}

## Response

{% tabs %}
{% tab title="JSON" %}

```json
{
  "result": "success",
  "count": 25,
  "marker": "20180921135312|000041687556|00047",
  "accounts": [
    {
      "account": "rGbvH8TVWsmmFWPUDypx1CCCk4znoaofLp",
      "parent": "rPEPPER7kfTD9w2To4CQk6UCfuHM9c6GDY",
      "initial_balance": "20",
      "inception": "2018-02-27T23:33:40Z",
      "ledger_index": 36880537,
      "tx_hash": "485B6C4AF662EE45DA4F9B567613C04039ACD395FA383795224EE91DFCABCE68",
      "parentName": {
        "name": "XRP Tip Bot",
        "account": "rPEPPER7kfTD9w2To4CQk6UCfuHM9c6GDY",
        "domain": "xrptipbot.com",
        "twitter": "xrptipbot",
        "verified": true
      }
    },
    {
      "account": "rMWoY6X6LHmrTv3UmC3w3TCa6S9URXTcb7",
      "parent": "rPEPPER7kfTD9w2To4CQk6UCfuHM9c6GDY",
      "initial_balance": "20",
      "inception": "2018-06-02T07:02:20Z",
      "ledger_index": 39090386,
      "tx_hash": "BEE4990AC93DE798AC9D41EA938B36F3229E56E5B21C0827D7DCCA804E74EDD6",
      "parentName": {
        "name": "XRP Tip Bot",
        "account": "rPEPPER7kfTD9w2To4CQk6UCfuHM9c6GDY",
        "domain": "xrptipbot.com",
        "twitter": "xrptipbot",
        "verified": true
      }
    },
    ...
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xrpscan.com/api-documentation/account/activations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
